=== debian/changelog ===
ros-foxy-rmw-gurumdds-cpp (1.4.0-1focal) focal; urgency=high

  * Add maintainer
  * Add null handling
  * Apply loop to take sequence
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 07 Mar 2023 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.3.1-1focal) focal; urgency=high

  * Remove sleep from entity creation
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 29 Nov 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.3.0-1focal) focal; urgency=high

  * Apply graph cache
  * Apply on_remote_changed callback
  * Avoid string generation on func call
  * Change the behavior of take response to a loop
  * Fix typo
  * Redefine rmw gurumdds identifier
  * Pass extra include dirs to cppcheck explicitly
  * Integrate rmw_gurumdds_shared_cpp into rmw_gurumdds_cpp
  * Contributors: Youngjin Yun, donghee811

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 04 Oct 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.2.3-1focal) focal; urgency=high

  * Add missing guid comparison conditional statement
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 04 Jul 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.2.2-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 26 May 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.2.1-1focal) focal; urgency=high

  * Handle null string
  * Fix rclcpp test(test_serialized_message) failure
  * Contributors: Youngjin Yun, donghee811

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 24 May 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.2.0-1focal) focal; urgency=high

  * Enhanced rpc with sampleinfoex
  * Basic rpc
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.1.6-1focal) focal; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.1.5-1focal) focal; urgency=high

  * Revert raw typesupport patch
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 22 Mar 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.1.4-1focal) focal; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.1.3-1focal) focal; urgency=high

  * Use raw typesupport instead of typesupport
    * To reduce memory usage
  * Contributors: hyeonwoo

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 10 Feb 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.1.2-1focal) focal; urgency=high

  * Add omitted free
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 10 Feb 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.1.1-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.1.0-1focal) focal; urgency=high

  * Remove dds_typesupport from Publisher/Subscriber Info
  * Change the return time when destroying entities
  * Add ommited memory manage code
  * Modify unnecessary code
  * Fix typo
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 16 Nov 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.12-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.11-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 12 Oct 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.10-1focal) focal; urgency=high

  * Fix unbounded sequence size
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.9-1focal) focal; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 22 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.8-1focal) focal; urgency=high

  * Remove datareader listener patch
  * Remove unnecessary operation
  * Contributors: Kumazuma, Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 21 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.7-1focal) focal; urgency=high

  * Use variable attempt to take the number of times equal to count
  * Check if the queue is empty before using it
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.6-1focal) focal; urgency=high

  * Update code about build error on windows
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 06 May 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.5-1focal) focal; urgency=high

  * Use dds_free instead of free for dll library
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.4-1focal) focal; urgency=high

  * Change maintainer
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 09 Mar 2021 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.3-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Nov 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.2-1focal) focal; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-foxy-rmw-gurumdds-cpp (1.0.1-1focal) focal; urgency=high

  * Renamed rmw_gurumdds_dynamic_cpp to rmw_gurumdds_cpp
  * Renamed rmw_gurumdds_cpp to rmw_gurumdds_static_cpp
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Sun, 05 Jul 2020 15:00:00 -0000


